
default persistent.current_user = {"username": "Unknown", "discriminator": "0000", "id": None, "avatar": None}

init -999 python:
    import discord_rpc
    import renpy.store as store
    import renpy.exports as renpy    
    import os
    import urllib.request
    import ssl
    import time

    def update_discord_rpc():
        discord_rpc.update_connection()
        discord_rpc.run_callbacks()

    def readyCallback(user):
        persistent.current_user["username"] = user["username"]
        persistent.current_user["discriminator"] = user["discriminator"]
        persistent.current_user["id"] = user["id"]
        persistent.current_user["avatar"] = user["avatar"]
        renpy.save_persistent()

        avatar_url = get_avatar_url(user["id"], user["avatar"])
        if avatar_url:
            download_image(avatar_url, "avatar.png")

    def disconnectedCallback(codeno, codemsg):
        print("Отключено от Discord RPC: {0}, {1}".format(codeno, codemsg))

    def errorCallback(errno, errmsg):
        print("Ошибка Discord RPC: {0}, {1}".format(errno, errmsg))

    def get_avatar_url(user_id, avatar_hash):
        if avatar_hash:
            return "https://cdn.discordapp.com/avatars/{0}/{1}.png".format(user_id, avatar_hash)
        return None

    def download_image(url, filename):
        try:
            ssl_context = ssl._create_unverified_context()
            path = os.path.join(renpy.config.gamedir, "assets/discord/images", filename).replace("\\", "/")
            req = urllib.request.Request(url, headers={'User-Agent': 'Mozilla/5.0'})
            with urllib.request.urlopen(req, context=ssl_context) as response:
                content = response.read()
            os.makedirs(os.path.dirname(path), exist_ok=True)
            with open(path, 'wb') as f:
                f.write(content)
            return True
        except Exception as e:
            print("Ошибка при скачивании {0}: {1}".format(url, e))
            return False


init python:
    discord_rpc.initialize('1197338416455634995', callbacks={
        'ready': readyCallback,
        'disconnected': disconnectedCallback,
        'error': errorCallback,
    }, log=True)

    update_discord_rpc()