init python:
    def count_true_variables():
        variable_names = [
            "mira_image_1"
        ]
        true_count = sum([getattr(persistent, var, False) for var in variable_names])
        total_count = len(variable_names)
        return true_count, total_count

define persistent.mira_image_1 = False

transform opacity_button:
    on idle:
        ease 0.5 alpha 1
    on hover:
        ease 0.5 alpha 0.5

screen mira_image_1:

    add "assets/gallery/characters/mira/images/mira_image_1_full.jpg"

    default return_button = None
    button:
        background None
        padding (0, 0)
        align (0.5, 0.9)

        if main_menu:
            action [ Hide(), With(dissolve) ]
        else:
            action Return()

        hovered SetLocalVariable('return_button', 'HOVERED')
        unhovered SetLocalVariable('return_button', 'UNHOVERED')

        has fixed
        fit_first True

        image "assets/navigation/images/return-button-idle.png"
        image "assets/navigation/images/return-button-hover.png":
            if return_button == 'HOVERED':
                at transform:
                    easeout .5 alpha 1.0
            elif return_button == 'UNHOVERED':
                at transform:
                    easeout .5 alpha .0
            else:
                at transform:
                    alpha .0

        vbox:
            xalign 0.5
            yalign 0.5

            if return_button == 'HOVERED':
                at transform:
                    easeout .5 matrixcolor ColorizeMatrix("#000", "#202020")
            else:
                at transform:
                    easeout .5 matrixcolor ColorizeMatrix("#000", "#b7b7b7")

            text _("Return"):
                size 37
                font "fonts/Montserrat-Medium.ttf"


screen mira_gallery:   

    tag menu

    add "assets/gallery/images/background_m.png" at back
    add "assets/gallery/images/big-line.svg" xpos 372 ypos 1814 xsize 3096

    frame:
        background "assets/gallery/images/frame-name.svg"
        xpos 372 ypos 202
        xysize (2408, 150)
        padding (0,0)

        text _("{color=#AFAFAF}Character Gallery -{/color} Mira" )font "fonts/Montserrat-SemiBold.ttf" align (0.03, 0.5) size 40

    frame:
        background "assets/gallery/images/number-render.svg" 
        xpos 2878 ypos 202
        xysize (590, 150)
        padding (0,0)
        $ true_count, total_count = count_true_variables()
        hbox:
            align (0.5, 0.5)
            text _("Unlocked - ") font "fonts/Montserrat-Medium.ttf" align (0.5, 0.5) size 40 color(186, 237, 189)
            text ("{0} / {1}").format(true_count, total_count) font "fonts/Montserrat-Medium.ttf" align (0.5, 0.5) size 40 color(186, 237, 189)


    grid 3 3:
        spacing 50
        xpos 372 ypos 439

        if persistent.mira_image_1:
            imagebutton:
                idle "assets/gallery/characters/mira/images/mira_image_1.jpg" at opacity_button
                action ShowMenu("mira_image_1")
        else:
            imagebutton:
                idle "assets/gallery/images/lock.png" at opacity_button
                action [Notify(_("Render not discovered"))]


    default return_button = None
    button:
        background None
        padding (0, 0)
        align (0.5, 0.95)

        action [ShowMenu("gallery"), With(dissolve)]

        hovered SetLocalVariable('return_button', 'HOVERED')
        unhovered SetLocalVariable('return_button', 'UNHOVERED')

        has fixed
        fit_first True

        image "assets/navigation/images/return-button-idle.png"
        image "assets/navigation/images/return-button-hover.png":
            if return_button == 'HOVERED':
                at transform:
                    easeout .5 alpha 1.0
            elif return_button == 'UNHOVERED':
                at transform:
                    easeout .5 alpha .0
            else:
                at transform:
                    alpha .0

        vbox:
            xalign 0.5
            yalign 0.5

            if return_button == 'HOVERED':
                at transform:
                    easeout .5 matrixcolor ColorizeMatrix("#000", "#202020")
            else:
                at transform:
                    easeout .5 matrixcolor ColorizeMatrix("#000", "#b7b7b7")

            text _("Return"):
                size 37
                font "fonts/Montserrat-Medium.ttf"