screen no_render():

    modal True

    add "gui/overlay/confirm.png"

    frame: 
        xysize (1376, 824)
        align (0.5, 0.5)
        padding (100,50)

        vbox: 
            align (0.5, 0.5) 
            spacing 100

            add "gui/emoji.png" xalign 0.5
            text _("Sorry, but there are no special renders with this character, you'll have to wait a little longer."):

                size 50
                font "fonts/Montserrat-Medium.ttf"

            default hide_button = None
            button:
                background None
                padding (0, 0)
                xalign 0.5
                action [Hide(), With(dissolve)]
                hovered SetLocalVariable('hide_button', 'HOVERED')
                unhovered SetLocalVariable('hide_button', 'UNHOVERED')

                has fixed
                fit_first True

                image "images/ui/menu/button/button_idle.png"
                image "images/ui/menu/button/button_hover.png":
                    if hide_button == 'HOVERED':
                        at transform:
                            easeout .5 alpha 1.0
                    elif hide_button == 'UNHOVERED':
                        at transform:
                            easeout .5 alpha .0
                    else:
                        at transform:
                            alpha .0

                hbox:
                    xalign 0.5
                    yalign 0.5

                    if hide_button == 'HOVERED':
                        at transform:
                            easeout .5 matrixcolor ColorizeMatrix("#000", "#111111")
                    else:
                        at transform:
                            easeout .5 matrixcolor ColorizeMatrix("#000", "#d5d5d5")

                    text _("Hide"):
                        size 37
                        font "fonts/Montserrat-Medium.ttf"

screen gallery:


    python:
        discord_rpc.update_connection()
        discord_rpc.run_callbacks()
        callbacks = {
            'ready': readyCallback,
            'disconnected': disconnectedCallback,
            'error': errorCallback,
        }
        discord_rpc.initialize('1197338416455634995', callbacks=callbacks, log=False)
        start = time.time()
        discord_rpc.update_connection()
        discord_rpc.run_callbacks()
        discord_rpc.update_presence(
            **{
                'details': 'Gallery 🌇',
                'large_image_key': 'big_image',
                'start_timestamp': start
            }
        )


    add "assets/gallery/images/gallery-left.png"
    add "assets/gallery/images/logo.svg" xpos 100 ypos 100 

    vbox:
        spacing 60
        xpos 100 
        ypos 1259
        text _("OPEN THE \nRENDERING BY \nMAKING A \nSELECTION") font "fonts/Montserrat-Black.ttf" size 126
        vbox:
            spacing 20
            text _("{color=#ACACAC}Gallery of special renders{/color}") font "fonts/Montserrat-SemiBold.ttf" size 44            
            text _("{color=#A8C5DA}Time Heals{/color}") font "fonts/Montserrat-Medium.ttf" size 35            

    default return_button = None
    button:
        background None
        padding (0, 0)
        xpos 1088 ypos 100
        action [ShowMenu("main_menu"),  With(fade)]
        hovered SetLocalVariable('return_button', 'HOVERED')
        unhovered SetLocalVariable('return_button', 'UNHOVERED')

        has fixed
        fit_first True

        image "assets/gallery/images/return-idle.svg"
        image "assets/gallery/images/return-hover.svg":
            if return_button == 'HOVERED':
                at transform:
                    easeout .5 alpha 1.0
            elif return_button == 'UNHOVERED':
                at transform:
                    easeout .5 alpha .0
            else:
                at transform:
                    alpha .0

        vbox:
            xalign 0.5
            yalign 0.5

            if return_button == 'HOVERED':
                at transform:
                    easeout .5 matrixcolor ColorizeMatrix("#000", "#ffffff")
            else:
                at transform:
                    easeout .5 matrixcolor ColorizeMatrix("#000", "#adadad")

            text _("Return"):
                size 35
                font "fonts/Montserrat-SemiBold.ttf"     



    tag menu

    frame: 
        xpos 1681 ypos 151
        background None
        hbox:

            default kira_button = None
            button:
                background None
                padding (0, 0)
                action [ShowMenu("kira_gallery"),  With(dissolve)]
                hovered SetLocalVariable('kira_button', 'HOVERED')
                unhovered SetLocalVariable('kira_button', 'UNHOVERED')

                has fixed
                fit_first True

                image "assets/gallery/images/kira-idle.png"
                image "assets/gallery/images/kira-hover.png":
                    if kira_button == 'HOVERED':
                        at transform:
                            easeout .5 alpha 1.0
                    elif kira_button == 'UNHOVERED':
                        at transform:
                            easeout .5 alpha .0
                    else:
                        at transform:
                            alpha .0

            default nova_button = None
            button:
                background None
                padding (0, 0)
                action [ShowMenu("no_render"),  With(dissolve)]
                hovered SetLocalVariable('nova_button', 'HOVERED')
                unhovered SetLocalVariable('nova_button', 'UNHOVERED')

                has fixed
                fit_first True

                image "assets/gallery/images/nova-idle.png"
                image "assets/gallery/images/nova-hover.png":
                    if nova_button == 'HOVERED':
                        at transform:
                            easeout .5 alpha 1.0
                    elif nova_button == 'UNHOVERED':
                        at transform:
                            easeout .5 alpha .0
                    else:
                        at transform:
                            alpha .0

            default mira_button = None
            button:
                background None
                padding (0, 0)
                action [ShowMenu("mira_gallery"),  With(dissolve)]
                hovered SetLocalVariable('mira_button', 'HOVERED')
                unhovered SetLocalVariable('mira_button', 'UNHOVERED')

                has fixed
                fit_first True

                image "assets/gallery/images/mira-idle.png"
                image "assets/gallery/images/mira-hover.png":
                    if mira_button == 'HOVERED':
                        at transform:
                            easeout .5 alpha 1.0
                    elif mira_button == 'UNHOVERED':
                        at transform:
                            easeout .5 alpha .0
                    else:
                        at transform:
                            alpha .0

            default olivia_button = None
            button:
                background None
                padding (0, 0)
                action [ShowMenu("no_render"),  With(dissolve)]
                hovered SetLocalVariable('olivia_button', 'HOVERED')
                unhovered SetLocalVariable('olivia_button', 'UNHOVERED')

                has fixed
                fit_first True

                image "assets/gallery/images/olivia-idle.png"
                image "assets/gallery/images/olivia-hover.png":
                    if olivia_button == 'HOVERED':
                        at transform:
                            easeout .5 alpha 1.0
                    elif olivia_button == 'UNHOVERED':
                        at transform:
                            easeout .5 alpha .0
                    else:
                        at transform:
                            alpha .0

            default other_button = None
            button:
                background None
                padding (0, 0)
                action [ShowMenu("no_render"),  With(dissolve)]
                hovered SetLocalVariable('other_button', 'HOVERED')
                unhovered SetLocalVariable('other_button', 'UNHOVERED')

                has fixed
                fit_first True

                image "assets/gallery/images/other-idle.svg"
                image "assets/gallery/images/other-hover.svg":
                    if other_button == 'HOVERED':
                        at transform:
                            easeout .5 alpha 1.0
                    elif other_button == 'UNHOVERED':
                        at transform:
                            easeout .5 alpha .0
                    else:
                        at transform:
                            alpha .0

